GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/sol2-tdep.c File Reference
`#include "defs.h"`
`#include "frame.h"`
`#include "symtab.h"`
`#include "inferior.h"`
`#include "objfiles.h"`
`#include "sol2-tdep.h"`

Go to the source code of this file.

## Functions
CORE_ADDR | sol2_skip_solib_resolver (struct gdbarch *gdbarch, CORE_ADDR pc)
const char * | sol2_core_pid_to_str (struct gdbarch *gdbarch, ptid_t ptid)

## Function Documentation

## ◆ sol2_core_pid_to_str()

const char* sol2_core_pid_to_str | ( | struct gdbarch * | gdbarch,
|  | ptid_t | ptid
| ) |  |

Definition at line 44 of file sol2-tdep.c.

References find_inferior_ptid(), arm-linux::inf, normal_pid_to_str(), pid, ptid_get_lwp(), and xsnprintf().

Referenced by amd64_sol2_init_abi(), i386_sol2_init_abi(), sparc32_sol2_init_abi(), and sparc64_sol2_init_abi().

## ◆ sol2_skip_solib_resolver()

CORE_ADDR sol2_skip_solib_resolver | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR | pc
| ) |  |

Definition at line 29 of file sol2-tdep.c.

References BMSYMBOL_VALUE_ADDRESS, frame_unwind_caller_pc(), get_current_frame(), and lookup_minimal_symbol().

Referenced by amd64_sol2_init_abi(), i386_sol2_init_abi(), sparc32_sol2_init_abi(), and sparc64_sol2_init_abi().